OneNote Clipper in Firefox

Frequent Contributor

I've used the OneNote Clipper add-on for many montys.

Now, when I try to install the OneNote clipper for Firefox from https://www.onenote.com/clipper in Firefox 48.0.1 I get the following error: "The add-on could not be installed because it does not match the add-on Firefox expected."  Any thoughts?

Screenshot attached.

0 Replies